#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EClientSettingStore {
    Invalid = 0,
    ConfigStore_Install = 1,
    ConfigStore_UserRoaming = 2,
    ConfigStore_UserLocal = 3,
    Registry = 4,
    CustomFunc = 5,
}

impl EClientSettingStore {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::ConfigStore_Install as i32 => Some(Self::ConfigStore_Install),
            x if x == Self::ConfigStore_UserRoaming as i32 => Some(Self::ConfigStore_UserRoaming),
            x if x == Self::ConfigStore_UserLocal as i32 => Some(Self::ConfigStore_UserLocal),
            x if x == Self::Registry as i32 => Some(Self::Registry),
            x if x == Self::CustomFunc as i32 => Some(Self::CustomFunc),
            _ => None,
        }
    }
}
